List loyalty program discounts for customer
List available loyalty program member discounts for customer.
get/tenants/{tenantUid}/customers/{customerUid}/loyalty/discounts
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+customerUidstringRequiredPattern:
Reference to a Customer.
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
get/tenants/{tenantUid}/customers/{customerUid}/loyalty/discounts
GET /v2/tenants/{tenantUid}/customers/{customerUid}/loyalty/discounts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"discountCode": "text",
"title": "text",
"description": "text",
"validFrom": "2026-01-01T00:00:00.000Z",
"validTo": "2026-01-01T00:00:00.000Z",
"discountType": "PERCENTAGE",
"discountValue": 1,
"maxUsage": 1,
"timesUsed": 1,
"productSkus": [
"text"
]
}
]
}Last updated
Was this helpful?

